summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/setup_vpp_dpdk_dev_env.sh
diff options
context:
space:
mode:
authorEd Warnicke <eaw@cisco.com>2017-03-01 12:13:32 -0700
committerEd Warnicke <eaw@cisco.com>2017-03-02 14:39:58 -0700
commit7b91bcf627dcd2a308526725661255e2f5b020c2 (patch)
treea6f3d892eac1562b8668fd11bb5e1ba784b9659d /jjb/scripts/setup_vpp_dpdk_dev_env.sh
parent83dc8f82dc7f2da8a423424dc387a61b471753d6 (diff)
Fix vpp merge jobs
This patch switches to installing the vpp-dpkg-dev whenever possible rather than building it. This means no duplicative pushing of vpp-dpkg-dev, which should fix the merge jobs. It also should mean faster vpp builds since we generally won't need to build DPDK either. Change-Id: I602fb09a847bb4b0d54c5844dc4c79a27393580d Signed-off-by: Ed Warnicke <eaw@cisco.com>
Diffstat (limited to 'jjb/scripts/setup_vpp_dpdk_dev_env.sh')
-rw-r--r--jjb/scripts/setup_vpp_dpdk_dev_env.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/jjb/scripts/setup_vpp_dpdk_dev_env.sh b/jjb/scripts/setup_vpp_dpdk_dev_env.sh
new file mode 100644
index 000000000..ee9e98b76
--- /dev/null
+++ b/jjb/scripts/setup_vpp_dpdk_dev_env.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+set -e -o pipefail
+
+# Figure out what system we are running on
+if [ -f /etc/lsb-release ];then
+ . /etc/lsb-release
+elif [ -f /etc/redhat-release ];then
+ sudo yum install -y redhat-lsb
+ DISTRIB_ID=`lsb_release -si`
+ DISTRIB_RELEASE=`lsb_release -sr`
+ DISTRIB_CODENAME=`lsb_release -sc`
+ DISTRIB_DESCRIPTION=`lsb_release -sd`
+fi
+echo DISTRIB_ID: $DISTRIB_ID
+echo DISTRIB_RELEASE: $DISTRIB_RELEASE
+echo DISTRIB_CODENAME: $DISTRIB_CODENAME
+echo DISTRIB_DESCRIPTION: $DISTRIB_DESCRIPTION
+
+function setup {
+ if [ -z ${REPO_NAME} ]; then
+ echo "INSTALLING VPP-DPKG-DEV from apt/yum repo"
+ REPO_URL="${NEXUSPROXY}/content/repositories/fd.io.${REPO_NAME}"
+ echo "REPO_URL: ${REPO_URL}"
+ # Setup by installing vpp-dev and vpp-lib
+ if [ $DISTRIB_ID == "Ubuntu" ]; then
+ echo "deb ${REPO_URL} ./" | sudo tee /etc/apt/sources.list.d/99fd.io.list
+ sudo apt-get update || true
+ sudo apt-get -y --force-yes install vpp-dpdk-dev || true
+ elif [[ $DISTRIB_ID == "CentOS" ]]; then
+ sudo cat << EOF > fdio-master.repo
+[fdio-master]
+name=fd.io master branch latest merge
+baseurl=${REPO_URL}
+enabled=1
+gpgcheck=0
+EOF
+ sudo mv fdio-master.repo /etc/yum.repos.d/fdio-master.repo
+ sudo yum -y install vpp-dpdk-dev || true
+ fi
+ fi
+}
+
+setup \ No newline at end of file